com.ihr.xbrl.dts

## Class InstanceExplorerEvent

- java.lang.Object
- - com.ihr.xbrl.dts.InstanceExplorerEvent

-     public class InstanceExplorerEvent
      extends java.lang.Object

  Event about changes in the Instance Explorer.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLUMN_ADDED` The Constant COLUMN_ADDED.
    `static int` | `COLUMN_DELETED` The Constant COLUMN_DELETED.
    `static int` | `COMPANY_ADDED` The Constant COMPANY_ADDED.
    `static int` | `COMPANY_DELETED` The Constant COMPANY_DELETED.
    `static int` | `DIMENSION_ADDED` The Constant DIMENSION_ADDED.
    `static int` | `DIMENSION_DELETED` The Constant DIMENSION_DELETED.
    `static int` | `DIMENSIONS_FINISHED` The Constant DIMENSIONS_FINISHED.
    `static int` | `END_ALLFACTS` The Constant END_ALLFACTS.
    `static int` | `END_INSTANCE` The Constant END_INSTANCE.
    `static int` | `FACT_ADDED` The Constant FACT_ADDED.
    `static int` | `FACT_CHANGED_CONTEXT` The Constant FACT_CHANGED_CONTEXT.
    `static int` | `FACT_DELETED` The Constant FACT_DELETED.
    `static int` | `MEMBER_ADDED` The Constant MEMBER_ADDED.
    `static int` | `START_ALLFACTS` The Constant START_ALLFACTS.
    `static int` | `START_INSTANCE` The Constant START_INSTANCE.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstanceExplorerEvent(InstanceExplorerInterface ie, int event, java.lang.Object obj1, java.lang.Object obj2)` Instantiates a new instance explorer event.
    `InstanceExplorerEvent(InstanceExplorerInterface ie, int event, XBRLFact fact, java.lang.Object oldValue, java.lang.Object newValue)` Instantiates a new instance explorer event.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEvent()` Gets the event.
    `XBRLFact` | `getFact()` Gets the fact.
    `InstanceExplorerInterface` | `getInstanceExplorer()` Gets the instance explorer.
    `java.lang.Object` | `getNewValue()` Gets the new value.
    `java.lang.Object` | `getObject()` Gets the object.
    `java.lang.Object` | `getObject2()` Gets the object2.
    `java.lang.Object` | `getOldValue()` Gets the old value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN_ADDED

          public static final int COLUMN_ADDED

      The Constant COLUMN_ADDED.
      See Also:
        Constant Field Values

    - #### COLUMN_DELETED

          public static final int COLUMN_DELETED

      The Constant COLUMN_DELETED.
      See Also:
        Constant Field Values

    - #### FACT_ADDED

          public static final int FACT_ADDED

      The Constant FACT_ADDED.
      See Also:
        Constant Field Values

    - #### FACT_DELETED

          public static final int FACT_DELETED

      The Constant FACT_DELETED.
      See Also:
        Constant Field Values

    - #### COMPANY_ADDED

          public static final int COMPANY_ADDED

      The Constant COMPANY_ADDED.
      See Also:
        Constant Field Values

    - #### COMPANY_DELETED

          public static final int COMPANY_DELETED

      The Constant COMPANY_DELETED.
      See Also:
        Constant Field Values

    - #### FACT_CHANGED_CONTEXT

          public static final int FACT_CHANGED_CONTEXT

      The Constant FACT_CHANGED_CONTEXT.
      See Also:
        Constant Field Values

    - #### START_INSTANCE

          public static final int START_INSTANCE

      The Constant START_INSTANCE.
      See Also:
        Constant Field Values

    - #### END_INSTANCE

          public static final int END_INSTANCE

      The Constant END_INSTANCE.
      See Also:
        Constant Field Values

    - #### START_ALLFACTS

          public static final int START_ALLFACTS

      The Constant START_ALLFACTS.
      See Also:
        Constant Field Values

    - #### END_ALLFACTS

          public static final int END_ALLFACTS

      The Constant END_ALLFACTS.
      See Also:
        Constant Field Values

    - #### DIMENSION_ADDED

          public static final int DIMENSION_ADDED

      The Constant DIMENSION_ADDED.
      See Also:
        Constant Field Values

    - #### DIMENSION_DELETED

          public static final int DIMENSION_DELETED

      The Constant DIMENSION_DELETED.
      See Also:
        Constant Field Values

    - #### DIMENSIONS_FINISHED

          public static final int DIMENSIONS_FINISHED

      The Constant DIMENSIONS_FINISHED.
      See Also:
        Constant Field Values

    - #### MEMBER_ADDED

          public static final int MEMBER_ADDED

      The Constant MEMBER_ADDED.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InstanceExplorerEvent

          public InstanceExplorerEvent(InstanceExplorerInterface ie,
                               int event,
                               java.lang.Object obj1,
                               java.lang.Object obj2)

      Instantiates a new instance explorer event.
      Parameters:
        `ie` - the ie
        `event` - the event
        `obj1` - the obj1
        `obj2` - the obj2

    - #### InstanceExplorerEvent

          public InstanceExplorerEvent(InstanceExplorerInterface ie,
                               int event,
                               XBRLFact fact,
                               java.lang.Object oldValue,
                               java.lang.Object newValue)

      Instantiates a new instance explorer event.
      Parameters:
        `ie` - the ie
        `event` - the event
        `fact` - the fact
        `oldValue` - the old value
        `newValue` - the new value

  - ### Method Detail

    - #### getInstanceExplorer

          public InstanceExplorerInterface getInstanceExplorer()

      Gets the instance explorer.
      Returns:
        the instance explorer

    - #### getEvent

          public int getEvent()

      Gets the event.
      Returns:
        the event

    - #### getObject

          public java.lang.Object getObject()

      Gets the object.
      Returns:
        the object

    - #### getObject2

          public java.lang.Object getObject2()

      Gets the object2.
      Returns:
        the object2

    - #### getFact

          public XBRLFact getFact()

      Gets the fact.
      Returns:
        the fact

    - #### getOldValue

          public java.lang.Object getOldValue()

      Gets the old value.
      Returns:
        the old value

    - #### getNewValue

          public java.lang.Object getNewValue()

      Gets the new value.
      Returns:
        the new value